| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Static Public Member Functions | Static Public Attributes
com.symantec.sepm.webservice.common.validation.GroupNameValidator Class Reference

Validates the group name. More...

## Static Public Member Functions
static boolean | isValidGroupName (String groupName)
| Validates the given group name. More...
static void | validateGroupName (String groupName, String groupPath) throws InvalidArgumentServiceException
| Validates the given group name and throws an InvalidArgumentServiceException if it is invalid. More...

## Static Public Attributes
static final String | PATTERN_INVALID_CHARACTERS_GROUPNAME = ".*[*<>|:&?/\\\\].*"
| Regular expression pattern used to determine invalid characters for a group name. More...

## Detailed Description

Validates the group name.

## Member Function Documentation

static boolean com.symantec.sepm.webservice.common.validation.GroupNameValidator.isValidGroupName | ( | String | groupName | ) |
| static

Validates the given group name.

A group name is considered invalid if it contains any of the following special characters: ". * [ ] < > | : & ? / \ "

Parameters

  groupName | the group name to validate

Returns
  true if the given group name is considered valid, false otherwise

static void com.symantec.sepm.webservice.common.validation.GroupNameValidator.validateGroupName | ( | String | groupName,
|  | String | groupPath
| ) |  | throws InvalidArgumentServiceException
| static

Validates the given group name and throws an InvalidArgumentServiceException if it is invalid.

A group name is considered invalid if it contains any of the following special characters: ". * [ ] < > | : & ? / \ "

Parameters

  groupName | the group name to validate
  groupPath | the path to the group

Exceptions

  InvalidArgumentServiceException | if the given group name is invalid

See also
  isValidGroupName(String) isValidGroupName

## Member Data Documentation

final String com.symantec.sepm.webservice.common.validation.GroupNameValidator.PATTERN_INVALID_CHARACTERS_GROUPNAME = ".*[*<>|:&?/\\\\].*"
| static

Regular expression pattern used to determine invalid characters for a group name.